<div class="d-flex align-items-end mb-3">
    <b class="large">Calls pending for today</b>
</div>
<?php
$nextFUStatus = [
    "SCHEDULED",
    "CANCELLED",
    "COMPLETED",
];
?>
@if(count($fus))
    <table class="table table-sm table-striped table-bordered m-0">
        <thead>
        <tr>
            <th class="border-0">Client</th>
            <th class="border-0">Assigned To</th>
            <th class="border-0">Reason</th>
            <th class="border-0">Status</th>
            <th class="border-0"></th>
        </tr>
        </thead>
        <tbody>
        @foreach($fus as $fu)
            <tr>
                <td><a href="/patients/view/{{$fu->client_uid}}">{{$fu->client_name}}</a></td>
                <td>{{$fu->pro_first_name}} {{$fu->pro_last_name}}</td>
                <td>{{$fu->next_follow_up_reason}}</td>
                <td>{{$fu->status}}</td>
                <td>
                    <div moe relative="">
                        <a href="#" start show>Edit Status</a>
                        <form url="/api/clientRepFollowUp/update-status" right>
                            <input type="hidden" name="uid" value="{{$fu->uid}}">
                            <div class="mb-2">
                                <label for="" class="text-secondary mb-1">Status</label>
                                <select class="form-control input-sm" name="status">
                                    <option value=""></option>
                                    @foreach($nextFUStatus as $fuStatus)
                                        <option {{ $fu->status == $fuStatus ? 'selected':'' }}>{{ $fuStatus }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="mb-2">
                                <label for="" class="text-sm text-secondary mb-1">Call Memo</label>
                                <textarea class="form-control input-sm" name="nextFollowUpMemo">{{ $fu->next_follow_up_memo ?: '' }}</textarea>
                            </div>
                            <div class="d-flex align-items-center">
                                <button class="btn btn-sm btn-primary mr-2" submit>Submit</button>
                                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                            </div>
                        </form>
                    </div>
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
@else
    <div class="text-secondary p-2">No follow ups scheduled for today!</div>
@endif
