<div class="d-flex px-3 py-2 bg-light align-items-baseline border-bottom">
    <h4 class="font-weight-bold text-nowrap m-0">Watchpat Medical Necessity</h4>
    <div moe class="ml-3">
        <a start show href="#"><i class="fa fa-edit"></i> Edit</a>
        <form url="/api/client/updateWatchPatMedicalNecessity" hook="refreshSleepStudyStep">
            <input type="hidden" name="uid" value="{{$patient->uid}}">
            <div class="font-weight-bold font-size-14 text-secondary border-bottom pb-2 mb-2 text-nowrap">Watchpat Medical Necessity</div>

            <div class="mb-2">
                <div class="mb-1">Is WatchPat Medically Needed:</div>
                <select name="isWatchPatMedicallyNeeded" class="form-control form-control-sm">
                    <option value="">-- select --</option>
                    <option value="YES" {{$patient->is_watch_pat_medically_needed === 'YES' ? 'selected' : ''}}>Yes</option>
                    <option value="NO" {{$patient->is_watch_pat_medically_needed === 'NO' ? 'selected' : ''}}>No</option>
                    <option value="UNKNOWN" {{$patient->is_watch_pat_medically_needed === 'UNKNOWN' ? 'selected' : ''}}>Unknown</option>
                </select>
            </div>

            <div class="mb-2">
                <div class="mb-1">Memo:</div>
                <input type="text" value="{{$patient->watch_pat_medically_needed_for_memo}}" name="watchPatMedicallyNeededForMemo" class="form-control form-control-sm d-inline-block flex-grow-1">
            </div>

            <div class="mb-2">
                <table class="table table-sm table-bordered m-0">
                    <thead class="bg-light">
                    <tr>
                        <th class="text-sm text-secondary font-weight-normal border-bottom-0">ICD</th>
                        <th class="text-sm text-secondary font-weight-normal border-bottom-0">Description</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td>
                            <input type="text" class="icd-input search_field" icd-autocomplete-code="" name="watchPatMedicallyNeededForIcd1" value="{{$patient->watch_pat_medically_needed_for_icd1}}" placeholder="ICD 1" autocomplete="off" role="combobox" aria-expanded="false">
                        </td>
                        <td>
                            <input type="text" class="form-control form-control-sm" icd-autocomplete-description="" name="watchPatMedicallyNeededForIcd1Description" value="{{$patient->watch_pat_medically_needed_for_icd1description}}">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" class="icd-input search_field" icd-autocomplete-code="" name="watchPatMedicallyNeededForIcd2" value="{{$patient->watch_pat_medically_needed_for_icd2}}" placeholder="ICD 2" autocomplete="off" role="combobox" aria-expanded="false">
                        </td>
                        <td>
                            <input type="text" class="form-control form-control-sm" icd-autocomplete-description="" name="watchPatMedicallyNeededForIcd2Description" value="{{$patient->watch_pat_medically_needed_for_icd2description}}">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" class="icd-input search_field" icd-autocomplete-code="" name="watchPatMedicallyNeededForIcd3" value="{{$patient->watch_pat_medically_needed_for_icd3}}" placeholder="ICD 3" autocomplete="off" role="combobox" aria-expanded="false">
                        </td>
                        <td>
                            <input type="text" class="form-control form-control-sm" icd-autocomplete-description="" name="watchPatMedicallyNeededForIcd3Description" value="{{$patient->watch_pat_medically_needed_for_icd3description}}">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" class="icd-input search_field" icd-autocomplete-code="" name="watchPatMedicallyNeededForIcd4" value="{{$patient->watch_pat_medically_needed_for_icd4}}" placeholder="ICD 4" autocomplete="off" role="combobox" aria-expanded="false">
                        </td>
                        <td>
                            <input type="text" class="form-control form-control-sm" icd-autocomplete-description="" name="watchPatMedicallyNeededForIcd4Description" value="{{$patient->watch_pat_medically_needed_for_icd4description}}">
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

            <div class="mb-2">
                <div class="mb-1">Note:</div>
                <select name="watchPatMedicalNecessityNoteUid" class="form-control form-control-sm">
                    <option value="">-- select --</option>
                    @foreach($patient->notes as $note)
                        <option value="{{$note->uid}}" {{$patient->watchPatMedicalNecessityNote && $patient->watchPatMedicalNecessityNote->uid === $note->uid ? 'selected' : '' }}>
                            {{$note->hcpPro ? $note->hcpPro->displayName() : 'Note'}} ({{friendly_date_time($note->effective_dateest, false)}})
                        </option>
                    @endforeach
                </select>
            </div>

            <div class="mt-2 border-top pt-2 text-center">
                <button class="btn btn-primary btn-sm" submit>Submit</button>
                <button class="btn btn-default border btn-sm" cancel>Cancel</button>
            </div>
        </form>
    </div>
</div>

<div class="px-3 pt-2 pb-1">
    Is WatchPat Medically Needed: <b>{{$patient->is_watch_pat_medically_needed ?: '-'}}</b>
</div>

<div class="px-3 py-1">
    Memo: <b>{{$patient->watch_pat_medically_needed_for_memo ?: '-'}}</b>
</div>

<?php
$icds = [];
if($patient->watch_pat_medically_needed_for_icd1) $icds[] = $patient->watch_pat_medically_needed_for_icd1;
if($patient->watch_pat_medically_needed_for_icd2) $icds[] = $patient->watch_pat_medically_needed_for_icd2;
if($patient->watch_pat_medically_needed_for_icd3) $icds[] = $patient->watch_pat_medically_needed_for_icd3;
if($patient->watch_pat_medically_needed_for_icd4) $icds[] = $patient->watch_pat_medically_needed_for_icd4;
?>
<div class="px-3 py-1">
    ICDs: <b>{{count($icds) ? implode(', ', $icds) : '-'}}</b>
</div>

<div class="px-3 py-1">
    Note:
    @if($patient->watchPatMedicalNecessityNote)
        <b>
            {{$patient->watchPatMedicalNecessityNote->hcpPro ? $patient->watchPatMedicalNecessityNote->hcpPro->displayName() : 'Note'}} ({{friendly_date_time($patient->watchPatMedicalNecessityNote->effective_dateest, false)}})
        </b>
    @else
        <b>-</b>
    @endif
</div>
