<div class="d-flex px-3 py-2 bg-light align-items-baseline border-bottom">
    <h4 class="font-weight-bold text-nowrap m-0">WatchPat Sleep Specialist bill</h4>
    @if($patient->watchPatSleepSpecialistPro)
        @if($patient->watchPatSleepSpecialistBill)
            <div moe class="ml-3">
                <a start show href="#"><i class="fa fa-ban"></i> Cancel</a>
                <form url="/api/bill/markCancelled" hook="refreshSleepStudyStep">
                    <input type="hidden" name="uid" value="{{$patient->watchPatSleepSpecialistBill->uid}}">
                    <p class="mb-2">Cancel the bill?</p>
                    <div class="mt-2 pt-2">
                        <button class="btn btn-primary btn-sm" submit>Submit</button>
                        <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                    </div>
                </form>
            </div>
        @else
            <div moe class="ml-3">
                <a start show href="#"><i class="fa fa-edit"></i> Create</a>
                <form url="/api/bill/createForGenericForWatchPatSleepSpecialist" hook="refreshSleepStudyStep">
                        <?php
                        $code = 'Sleep Study Result Analysis';
                        $rate = \App\Models\ProRate::where('code', $code)
                            ->where('is_active', true)
                            ->where('pro_id', $patient->watchPatSleepSpecialistPro->id)
                            ->where('responsibility', 'GENERIC')
                            ->first();
                        ?>
                    @if($rate)
                        <input type="hidden" name="clientUid" value="{{$patient->uid}}">
                        <input type="hidden" name="watchPatSleepSpecialistProUid" value="{{$patient->watchPatSleepSpecialistPro->uid}}">
                        <input type="hidden" name="numberOfUnits" value="1">
                        <input type="hidden" name="genericDescription" value="WatchPat Sleep Specialist Bill">
                        <input type="hidden" name="code" value="{{$code}}">

                        <div class="font-weight-bold font-size-14 text-secondary border-bottom pb-2 mb-2 text-nowrap">
                            Sleep Specialist Bill
                        </div>

                        <div class="mb-2">
                            Service: <b class="text-nowrap">{{$code}}</b>
                        </div>

                        <div class="mb-2">
                            Amount: <b>${{$rate->amount}}</b>
                        </div>

                        <div class="mb-2">
                            <div class="mb-1">Effective Date:</div>
                            <input type="date" value="{{date('Y-m-d')}}" name="effectiveDate"
                                   class="form-control form-control-sm d-inline-block flex-grow-1">
                        </div>

                        <div class="mt-2 border-top pt-2 text-center">
                            <button class="btn btn-primary btn-sm" submit>Submit</button>
                            <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                        </div>
                    @else
                        <div class="alert alert-warning text-nowrap m-0">Sleep Specialist does not have a rate for <b>{{$code}}</b></div>
                    @endif
                </form>
            </div>
        @endif
    @endif
</div>

<div class="px-3 pt-2 pb-1">
    @if($patient->watchPatSleepSpecialistPro)
        @if($patient->watchPatSleepSpecialistBill)
            <div class="mb-1 font-weight-bold">Billed ✓</div>
            <div>${{$patient->watchPatSleepSpecialistBill->generic_pro_expected_payment_amount}} - {{$patient->watchPatSleepSpecialistBill->code}} - {{$patient->watchPatSleepSpecialistBill->effective_date}}</div>
        @else
            Not billed yet.
        @endif
    @else
        Sleep Specialist not assigned yet.
    @endif
</div>
