@extends(request()->input('popupmode') ? 'layouts.empty' : 'layouts.template')
<?php
/** @var \App\Models\Client $patient */
?>
<?php
$trimLayout = true;
$routeName = request()->route()->getName();
$isVisitNote = ($routeName === 'patients.view.notes.view.dashboard' && @$note && !!$note->visitTemplate);
$isOldClient = (date_diff(date_create(config('app.point_impl_date')), date_create($patient->created_at))->invert === 1);
?>
<style media="screen">
	.pt-name {
		font-size: 1.5rem !important;
	}
</style>
@section('content')
<div class="container-fluid h-100 popup-content-container">
	<div class="main-row h-100 {{ !request()->input('popupmode') ? '' : 'px-0' }} {{$isVisitNote ? 'autohide-leftnav' : ''}}">
		@if(!request()->input('popupmode'))
		<nav id="sidebarMenu" class="d-block bg-light sidebar collapse px-0">
			<div class="sidebar-sticky pt-3">
				<ul class="nav flex-column mcp-theme-1">
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.dashboard') === 0 ? 'active' : '' }}" href="{{ route('patients.view.dashboard', ['patient' => $patient]) }}">Dashboard</a>
					</li>
					@if($performer->pro->pro_type == 'ADMIN')
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.migrate-canvas') === 0 ? 'active' : '' }}" href="{{ route('patients.view.migrate-canvas', ['patient' => $patient]) }}">Canvas Migrate</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.canvas') === 0 ? 'active' : '' }}" href="{{ route('patients.view.canvas', ['patient' => $patient]) }}">Canvas</a>
					</li>
					@endif
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.calendar') === 0 ? 'active' : '' }}" href="{{ route('patients.view.calendar', ['patient' => $patient]) }}">Calendar</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.appointments') === 0 ? 'active' : '' }}" href="{{ route('patients.view.appointments', ['patient' => $patient, 'forPro' => 'all', 'status' => 'all']) }}">Appointments</a>
					</li>
					{{--
						<li class="nav-item">
							<a class="nav-link {{ strpos($routeName, 'patients.view.programs') === 0 ? 'active' : '' }}"
					href="{{ route('patients.view.programs', ['patient' => $patient]) }}">Programs</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.flowsheets') === 0 ? 'active' : '' }}" href="{{ route('patients.view.flowsheets', ['patient' => $patient]) }}">Flowsheets</a>
					</li>
					--}}
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.vitals-settings') === 0 ? 'active' : '' }}" href="{{ route('patients.view.vitals-settings', ['patient' => $patient]) }}">Vitals Settings</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.vitals-graph') === 0 ? 'active' : '' }}" href="{{ route('patients.view.vitals-graph', ['patient' => $patient]) }}">Vitals Graph</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.care-months') === 0 ? 'active' : '' }}" href="{{ route('patients.view.care-months', ['patient' => $patient]) }}">Care Months</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.devices') === 0 ? 'active' : '' }}" href="{{ route('patients.view.devices', ['patient' => $patient]) }}">Devices</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.measurements') === 0 ? 'active' : '' }}" href="{{ route('patients.view.measurements', ['patient' => $patient]) }}">Measurements</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.notes') === 0 ? 'active' : '' }}" href="{{ route('patients.view.notes', ['patient' => $patient]) }}">Notes</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.generic-bills') === 0 ? 'active' : '' }}" href="{{ route('patients.view.generic-bills', ['patient' => $patient]) }}">Admin. Bills</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.handouts') === 0 ? 'active' : '' }}" href="{{ route('patients.view.handouts', ['patient' => $patient]) }}">Handouts</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.rm-setup') === 0 ? 'active' : '' }}" href="{{ route('patients.view.rm-setup', ['patient' => $patient]) }}">RM Setup</a>
					</li>
					<?php /* <li class="nav-item">
							<a class="nav-link d-flex align-items-center {{ strpos($routeName, 'patients.view.action-items') === 0 ? 'active' : '' }}"
							   native onclick="return false">
								<span class="text-dark">ERx/Orders</span>
							</a>
							<ul class="m-0 p-0 nav-child-list">
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.action-items-erx') === 0 ? 'active' : '' }}"
									   href="{{ route('patients.view.action-items-erx', ['patient' => $patient]) }}">ERx</a>
								</li>
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.action-items-lab') === 0 ? 'active' : '' }}"
									   href="{{ route('patients.view.action-items-lab', ['patient' => $patient]) }}">Lab</a>
								</li>
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.action-items-imaging') === 0 ? 'active' : '' }}"
									   href="{{ route('patients.view.action-items-imaging', ['patient' => $patient]) }}">Imaging</a>
								</li>
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.action-items-equipment') === 0 ? 'active' : '' }}"
									   href="{{ route('patients.view.action-items-equipment', ['patient' => $patient]) }}">Equipment</a>
								</li>
							</ul>
						</li> */ ?>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.patient-prescriptions') === 0 ? 'active' : '' }}" href="{{ route('patients.view.patient-prescriptions', ['patient' => $patient]) }}">ERx &amp; Orders</a>
						<?php /*
							<ul class="m-0 p-0 nav-child-list">
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.patient-erx') === 0 && @$type === '' ? 'active' : '' }}"
									   href="{{ route('patients.view.patient-erx', ['patient' => $patient, 'type' => '']) }}">All</a>
								</li>
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.patient-erx') === 0 && @$type === 'erx' ? 'active' : '' }}"
									   href="{{ route('patients.view.patient-erx', ['patient' => $patient, 'type' => 'erx']) }}">Drug</a>
								</li>
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.patient-erx') === 0 && @$type === 'lab' ? 'active' : '' }}"
									   href="{{ route('patients.view.patient-erx', ['patient' => $patient, 'type' => 'lab']) }}">Lab</a>
								</li>
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.patient-erx') === 0 && @$type === 'imaging' ? 'active' : '' }}"
									   href="{{ route('patients.view.patient-erx', ['patient' => $patient, 'type' => 'imaging']) }}">Imaging</a>
								</li>
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.patient-erx') === 0 && @$type === 'referral' ? 'active' : '' }}"
									   href="{{ route('patients.view.patient-erx', ['patient' => $patient, 'type' => 'referral']) }}">Referral</a>
								</li>
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.patient-erx') === 0 && @$type === 'supply' ? 'active' : '' }}"
									   href="{{ route('patients.view.patient-erx', ['patient' => $patient, 'type' => 'supply']) }}">Supply</a>
								</li>
								<li class="nav-item">
									<a class="nav-link {{ strpos($routeName, 'patients.view.patient-erx') === 0 && @$type === 'other' ? 'active' : '' }}"
									   href="{{ route('patients.view.patient-erx', ['patient' => $patient, 'type' => 'other']) }}">Other</a>
								</li>
							</ul>
							*/ ?>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.patient-tickets') === 0 && @$type === '' ? 'active' : '' }}" href="{{ route('patients.view.patient-tickets', ['patient' => $patient, 'type' => '']) }}">Tickets</a>
					</li>
					@if($isOldClient)
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.patient-tickets') === 0 ? 'active' : '' }}" href="{{ route('patients.view.patient-tickets', ['patient' => $patient]) }}" title="Deprecated">ERx / Orders
							<span class="text-secondary text-sm pl-2">(dep)</span>
						</a>
						<ul class="m-0 p-0 nav-child-list">
							<li class="nav-item">
								<a class="nav-link {{ strpos($routeName, 'patients.view.patient-tickets') === 0 && @$type === '' ? 'active' : '' }}" href="{{ route('patients.view.patient-tickets', ['patient' => $patient, 'type' => '']) }}">All</a>
							</li>
							<li class="nav-item">
								<a class="nav-link {{ strpos($routeName, 'patients.view.patient-tickets') === 0 && @$type === 'erx' ? 'active' : '' }}" href="{{ route('patients.view.patient-tickets', ['patient' => $patient, 'type' => 'erx']) }}">ERx</a>
							</li>
							<li class="nav-item">
								<a class="nav-link {{ strpos($routeName, 'patients.view.patient-tickets') === 0 && @$type === 'lab' ? 'active' : '' }}" href="{{ route('patients.view.patient-tickets', ['patient' => $patient, 'type' => 'lab']) }}">Lab</a>
							</li>
							<li class="nav-item">
								<a class="nav-link {{ strpos($routeName, 'patients.view.patient-tickets') === 0 && @$type === 'imaging' ? 'active' : '' }}" href="{{ route('patients.view.patient-tickets', ['patient' => $patient, 'type' => 'imaging']) }}">Imaging</a>
							</li>
							<li class="nav-item">
								<a class="nav-link {{ strpos($routeName, 'patients.view.patient-tickets') === 0 && @$type === 'other' ? 'active' : '' }}" href="{{ route('patients.view.patient-tickets', ['patient' => $patient, 'type' => 'other']) }}">Other</a>
							</li>
						</ul>
					</li>
					@endif
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.supply-orders') === 0 ? 'active' : '' }}" href="{{ route('patients.view.supply-orders', ['patient' => $patient]) }}">Supply Orders</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.shipments') === 0 ? 'active' : '' }}" href="{{ route('patients.view.shipments', ['patient' => $patient]) }}">Shipments</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.incoming-reports') === 0 ? 'active' : '' }}" href="{{ route('patients.view.incoming-reports', ['patient' => $patient]) }}">Incoming Reports</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.allergies') === 0 ? 'active' : '' }}" href="{{ route('patients.view.allergies', ['patient' => $patient]) }}">Allergies</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.medications') === 0 ? 'active' : '' }}" href="{{ route('patients.view.medications', ['patient' => $patient]) }}">Medications</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.dx-and-focus-areas') === 0 ? 'active' : '' }}" href="{{ route('patients.view.dx-and-focus-areas', ['patient' => $patient]) }}">Dx and
							Focus Areas</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.care-team') === 0 ? 'active' : '' }}" href="{{ route('patients.view.care-team', ['patient' => $patient]) }}">Care Team</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.history') === 0 ? 'active' : '' }}" href="{{ route('patients.view.history', ['patient' => $patient]) }}">History</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.memos') === 0 ? 'active' : '' }}" href="{{ route('patients.view.memos', ['patient' => $patient]) }}">Memos</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ $routeName === 'patients.view.sms' ? 'active' : '' }}" href="{{ route('patients.view.sms', ['patient' => $patient]) }}">SMS</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.sms-numbers') === 0 ? 'active' : '' }}" href="{{ route('patients.view.sms-numbers', ['patient' => $patient]) }}">SMS Numbers</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ $routeName === 'patients.view.outgoing-sms-log' ? 'active' : '' }}" href="{{ route('patients.view.outgoing-sms-log', ['patient' => $patient]) }}">Outgoing SMS Log</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.documents') === 0 ? 'active' : '' }}" href="{{ route('patients.view.documents', ['patient' => $patient]) }}">Documents</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.settings') === 0 ? 'active' : '' }}" href="{{ route('patients.view.settings', ['patient' => $patient]) }}">Settings</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.sms-reminders') === 0 ? 'active' : '' }}" href="{{ route('patients.view.sms-reminders', ['patient' => $patient]) }}">SMS Reminders</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.measurement-confirmation-numbers') === 0 ? 'active' : '' }}" href="{{ route('patients.view.measurement-confirmation-numbers', ['patient' => $patient]) }}">Meas. Conf. Numbers</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.pros') === 0 ? 'active' : '' }}" href="{{ route('patients.view.pros', ['patient' => $patient]) }}">Pros</a>
					</li>
					@if($performer->pro->pro_type == 'ADMIN')
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.pro-changes') === 0 ? 'active' : '' }}" href="{{ route('patients.view.pro-changes', ['patient' => $patient]) }}">Client Pro Changes</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.client-pro-access') === 0 ? 'active' : '' }}" href="{{ route('patients.view.client-pro-access', ['patient' => $patient]) }}">Client Pro Access</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.client-documents') === 0 ? 'active' : '' }}" href="{{ route('patients.view.client-documents', ['patient' => $patient]) }}">Client Documents</a>
					</li>
					@endif
					<li class="nav-item">
						<a class="nav-link" href="/patients/view/{{ $patient->uid }}/intake">Intake</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.primary-coverage') === 0 ? 'active' : '' }}" href="{{ route('patients.view.primary-coverage', $patient) }}">Primary Coverage</a>
					</li>
					@if($performer->pro->pro_type == 'ADMIN' || $performer->pro->id == $patient->default_na_pro_id)
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.mcp-requests') === 0 ? 'active' : '' }}" href="{{ route('patients.view.mcp-requests', $patient) }}">MCP Requests</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.eligible-refreshes') === 0 ? 'active' : '' }}" href="{{ route('patients.view.eligible-refreshes', $patient) }}">Eligible Refreshes</a>
					</li>
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.insurance-coverage') === 0 ? 'active' : '' }}" href="{{ route('patients.view.insurance-coverage', $patient) }}">Insurance Coverage</a>
					</li>

					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.claims-resolver') === 0 ? 'active' : '' }}" href="{{ route('patients.view.claims-resolver', $patient) }}">Claims Resolver</a>
					</li>
					@endif
					<li class="nav-item">
						<a class="nav-link {{ strpos($routeName, 'patients.view.accounts') === 0 ? 'active' : '' }}" href="{{ route('patients.view.accounts', $patient) }}">Linked Accounts</a>
					</li>
				</ul>
				<div class="mt-3 mcp-theme-1">
					@yield('left-nav-content')
				</div>
			</div>
		</nav>
		@endif
		<main role="main" class="w-100 {{$trimLayout || $isVisitNote ? 'p-0' : ''}}">
			@if($pro->is_enrolled_as_mcp && !$patient->mcp)
			<div class="alert alert-info bg-white mt-3 mcp-theme-1 p-3 hide-inside-ticket-popup m-1">
				<div class="font-size-16">
					<i class="fa fa-exclamation-triangle text-warning-mellow"></i>
					This patient currently does not have an MCP assigned.
				</div>
				<div class="mt-3 d-flex align-items-center">
					<button class="btn btn-info" onclick="$('.in-conv-confirmed').removeClass('d-none').addClass('d-inline-flex')">I am currently seeing or talking to this patient</button>
					<div class="in-conv-confirmed d-none align-items-center">
						<i class="fa fa-chevron-right mx-3 text-secondary"></i>
						<div moe class=" hide-inside-popup">
							<a href="" start show class="btn btn-primary font-weight-bold text-white">
								Assign myself as the MCP for this patient
							</a>
							<form url="/api/client/putMcp" class="mcp-theme-1">
								<input type="hidden" name="uid" value="{{$patient->uid}}">
								<input type="hidden" name="mcpProUid" value="{{$pro->uid}}">
								<p>Are you sure?</p>
								<div>
									<button submit class="btn btn-sm btn-primary mr-2">
										Submit
									</button>
									<button cancel class="btn btn-sm btn-default border">
										Cancel
									</button>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			@endif
			@if($patient->has_mcp_done_onboarding_visit !== 'YES' && $patient->is_mcp_onboarding_active === 'NO')
			<div class="alert alert-warning mt-3 mcp-theme-1 p-3 hide-inside-ticket-popup">
				<div class="font-weight-bold text-dark font-size-16">MCP onboarding is not active for this patient.</div>
				<div class="text-secondary p-2 border mt-2 bg-light">
					<div class="font-weight-bold">{{$patient->why_is_mcp_onboarding_not_active_category}}</div>
					<div>{{$patient->why_is_mcp_onboarding_not_active_memo}}</div>
				</div>
			</div>
			@endif
			<div class="card {{$trimLayout || $isVisitNote ? 'card m-0 border-0 rounded-0' : 'my-3'}}" id="patient-header">
				<div id="patient-header-content">
					<div class="card-header @if($patient->client_engagement_status_category == 'DUMMY') alert-warning @endif py-1 hide-inside-ticket-popup">
						<?php
						$thumbnail = $patient->profile_picture_base64;
						$initials = !$thumbnail ? substr($patient->name_first, 0, 1) . substr($patient->name_last, 0, 1) : '';
						$online = $patient->is_online ? 'online' : '';
						$patientName = implode(', ', array_filter([$patient->name_last, $patient->name_first]));

						$confirmedCell = empty($patient->cell_number) ? '-' : $patient->cell_number;
						$hasConfirmedEmail = empty($patient->email_address) ? false:true;
						$confirmedEmail = empty($patient->email_address) ? '-' : $patient->email_address;

						$location = implode(', ', array_filter([$patient->home_address_city, $patient->home_address_state]));
						$location = empty($location) ? '-' : $location;

						$mcpName = $patient->mcp ? implode(', ', array_filter([$patient->mcp->name_last, $patient->mcp->name_first])) : null;
						$cmName = $patient->cm ? implode(', ', array_filter([$patient->cm->name_last, $patient->cm->name_first])) : null;

						$memberSince = date_diff(date_create($patient->created_at), date_create('now'))->days;
						if ($memberSince > 30) $memberSince = date('F, Y', strtotime($patient->created_at));
						else if ($memberSince > 1) $memberSince .= ' days ago';
						else if ($memberSince === 1) $memberSince = 'yesterday';
						else if ($memberSince === 0) $memberSince = 'today';
						?>
						<div class=z>
							<div class=header>
								@if($patient->is_duplicate)
								<div class="alert alert-secondary border-dark mcp-theme-1 screen-only">
									<span class="text-dark">This chart is a duplicate of&nbsp;</span>
									<a class="font-weight-bold" href="/patients/view/{{ $patient->duplicateOf->uid }}">
										{{ $patient->duplicateOf->displayName() }}
									</a>
								</div>
								@endif
								<div class="hbox mr-auto">

									{{--<div>
										<div @if($patient->is_microphone_available)style="color:green" @else style="color:gray"  @endif>
											<i class="fa fa-microphone"></i>
										</div>
										<div @if($patient->is_camera_available)style="color:green" @else style="color:gray"  @endif>
											<i class="fa fa-video"></i>
										</div>
									</div>--}}
									<section class="align-self-start mt-2 mr-4">
										<div class="hbox">
											<h4 class="pt-name">{{$patientName}}</h4>
											<div class="screen-only mr-1 patient-presence-indicator thumbnail {{$online}}" data-patient-uid="{{$patient->uid}}" style="background-image:<?=$thumbnail?>">
												<?=$initials?>
											</div>
											<div class="d-inline-flex align-items-baseline">
												<i class="chart mr-2">#{{$patient->chart_number}}</i>
												<span class="on-hover-show d-inline-block on-hover-opaque">
													<i class="fa fa-info-circle ml-1 text-primary"></i>
													<div class="on-hover-content py-2 pl-3 text-nowrap">
														Joined
														<?=$memberSince?>
														@if($pro->pro_type === 'ADMIN')
														<div class="mt-1">
															Created by <b>{{$patient->creator ? $patient->creator->displayName() : '-'}}</b>
														</div>
														<div class="mt-1">
															Created on <b>{{friendly_date_time($patient->created_at)}}</b>
														</div>
														@endif
													</div>
												</span>
											</div>
										</div>
										<div class=separators>
											<div>{{friendly_date($patient->dob, false,null, true)}} ({{$patient->age_in_years}}
												y.o {{$patient->sex}})
											</div>
											@if($patient->getPrimaryCoverage() && $patient->getPrimaryCoverageStatus() === 'YES')
											<div class="text-nowrap screen-only">
												{{$patient->getPrimaryCoverage()->insuranceDisplayName()}}
												<span class="on-hover-show d-inline-block on-hover-opaque">
													<i class="fa fa-check-circle text-success"></i>
													<div class="on-hover-content py-2 pl-3 text-nowrap">
														Covered
													</div>
												</span>
											</div>
											@endif
										</div>
										<div class="screen-only">
											<label>Status:</label>
											<b>{{$patient->client_engagement_status_category ? ucwords(strtolower(str_replace('_', ' ', $patient->client_engagement_status_category == 'DUMMY' ? 'Test Chart' : $patient->client_engagement_status_category))) : '-'}}</b>

											@if($pro->pro_type == 'ADMIN')
											<div moe class="ml-2 hide-inside-popup">
												<a start show><i class="fa fa-edit"></i></a>
												<form url="/api/client/updateClientEngagementAssessmentStatus" class="mcp-theme-1" target="#patient-header-content">
													<input type="hidden" name="uid" value="{{$patient->uid}}">
													<div class="mb-2">
														<label class="mb-1 text-secondary text-sm">Status</label>
														<select name="category" class="form-control form-control-sm">
															<option value=""> --select--</option>
															<option {{ $patient->client_engagement_status_category === 'ACTIVE' ? 'selected' : '' }} value="ACTIVE">Active</option>
															<option {{ $patient->client_engagement_status_category === 'INACTIVE' ? 'selected' : '' }} value="INACTIVE">Inactive</option>
															<option {{ $patient->client_engagement_status_category === 'ENTRY_ERROR' ? 'selected' : '' }} value="ENTRY_ERROR">Entry Error</option>
															<option {{ $patient->client_engagement_status_category === 'DUMMY' ? 'selected' : '' }} value="DUMMY">Test Chart</option>
															<option {{ $patient->client_engagement_status_category === 'DECEASED' ? 'selected' : '' }} value="DECEASED">Deceased</option>
															<option {{ $patient->client_engagement_status_category === 'DUPLICATE' ? 'selected' : '' }} value="DUPLICATE">Duplicate</option>
															<option {{ $patient->client_engagement_status_category === 'NO_LONGER_INTERESTED' ? 'selected' : '' }} value="NO_LONGER_INTERESTED">No Longer Interested</option>
															<option {{ $patient->client_engagement_status_category === 'BAD_RECORD' ? 'selected' : '' }} value="BAD_RECORD">Bad Record</option>
															<option {{ $patient->client_engagement_status_category === 'NO_LONGER_ELIGIBLE' ? 'selected' : '' }} value="NO_LONGER_ELIGIBLE">No Longer Eligible</option>
														</select>
													</div>
													<div class="mb-2">
														<label class="mb-1 text-secondary text-sm">Memo</label>
														<textarea class="form-control form-control-sm" name="memo"></textarea>
													</div>
													<div>
														<button submit class="btn btn-sm btn-primary mr-1">Submit</button>
														<button cancel class="btn btn-sm btn-default border">Cancel</button>
													</div>
												</form>
											</div>
											@endif
										</div>
										<div class="screen-only">
											<div>
												<div>
													@if($patient->has_mcp_done_onboarding_visit !== 'YES')
													<span class="text-dark d-inline-flex align-items-center">
														<span class="mr-2">
															<i class="fa fa-exclamation-triangle"></i>
															MCP Onboarding Visit Pending
														</span>
													</span>
													<span moe class="hide-inside-popup">
														<a start show><i class="fa fa-edit"></i></a>
														<form url="/api/client/updateMcpOnboardingVisitInfo" class="mcp-theme-1">
															<input type="hidden" name="uid" value="{{$patient->uid}}">
															<div class="mb-2">
																<select name="hasMcpDoneOnboardingVisit" class="form-control form-control-sm" onchange="toggleDisabledAsNeeded(this, 'YES', 'if-visit-done')">
																	<option value="">-- Select Status --</option>
																	<option value="YES" {{ $patient->has_mcp_done_onboarding_visit === 'YES' ? 'selected' : '' }}>YES</option>
																	<option value="NO" {{ $patient->has_mcp_done_onboarding_visit === 'NO' ? 'selected' : '' }}>NO</option>
																	<option value="UNKNOWN" {{ $patient->has_mcp_done_onboarding_visit === 'UNKNOWN' ? 'selected' : '' }}>UNKNOWN</option>
																</select>
															</div>
															<div class="mb-2">
																<input type="date" class="if-visit-done form-control form-control-sm" disabled name="mcpOnboardingVisitDate" value="{{ date('Y-m-d') }}" max="{{ date('Y-m-d') }}">
															</div>
															<div class="mb-2">
																<select name="mcpOnboardingVisitNoteUid" disabled class="form-control form-control-sm if-visit-done" onchange="if(this.value === '-- create --') createNewNote('{{$patient->uid}}', '{{$pro->uid}}', '{{date('Y-m-d')}}');">
																	<option value="">-- Visit Note --</option>
																	<?php $notes = \App\Models\Note::where('client_id', $patient->id)->get() ?>
																	@foreach ($notes as $note)
																	@if(!empty($note->title) && $note->client_id === $patient->id && !$note->is_cancelled)
																	<option {{ $patient->mcp_onboarding_visit_note_id === $note->id ? 'selected' : '' }} value="{{$note->uid}}">{{$note->hcpPro->displayName()}} ({{friendly_date_time($note->effective_dateest, false)}})</option>
																	@endif
																	@endforeach
																	{{--<option value="-- create --">-- Create Note --</option>--}}
																</select>
															</div>
															<div class="mb-2 if-note-outside-system">
																<textarea class="form-control form-control-sm" name="reasonOnboardingVisitNoteOutsideSystem" placeholder="Visit note outside the system reason" spellcheck="false" data-gramm="false"></textarea>
															</div>
															<div>
																<button submit class="btn btn-sm btn-primary mr-1">Submit</button>
																<button cancel class="btn btn-sm btn-default border">Cancel</button>
															</div>
														</form>
													</span>
													@else
													<span class="text-dark d-inline-flex align-items-center">
														<span class="mr-2 text-secondary">
															<i class="fa fa-check text-sm"></i>
															MCP Onboarding Visit Completed
														</span>
													</span>
													@endif
												</div>
											</div>

											<div class="">
												@if($patient->mcp && $patient->mcp->id === $pro->id || $pro->pro_type == 'ADMIN')
												<div>
													<label>Follow-up Freq (days):</label>
													<span>{!! is_null($patient->mcp_usual_follow_up_frequency_in_days) ? '<span class="text-danger">Not Set</span>' : $patient->mcp_usual_follow_up_frequency_in_days !!}</span>
													<div moe relative class="ml-2">
														<a href="#" start show class="text-sm"><i class="fa fa-edit"></i></a>
														<form url="/api/client/putMcpUsualFollowUpFrequencyInDays">
															<input type="hidden" name="uid" value="{{$patient->uid}}">
															<div class="mb-2">
																<label class="text-sm text-secondary mb-1 text-nowrap">Follow-up Frequency (days)</label>
																<input type="number" required name="mcpUsualFollowUpFrequencyInDays" class="form-control form-control-sm" value="{{@$patient->mcp_usual_follow_up_frequency_in_days}}">
															</div>
															<div class="d-flex align-items-center">
																<button class="btn btn-sm btn-primary mr-2" submit>Save</button>
																<button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
															</div>
														</form>
													</div>
												</div>
												@endif
											</div>


										</div>
										@if(!$patient->getPrimaryCoverage() || $patient->getPrimaryCoverageStatus() !== 'YES')
										<div class="mt-2">
											@include('app.patient.coverage-status')
										</div>
										@endif
									</section>
									<section class="hide-inside-popup screen-only vbox mt-2 pt-1 align-self-stretch ml-2 px-2 mcp-theme-1 align-items-center">
										<div>
											<div moe relative>
												<a href="#" start show class="d-flex align-items-baseline"><i class="fa fa-comment text-sm mr-1"></i></a>
												<form url="/api/clientSms/createOutgoing" class="mcp-theme-1" noreload>
													<input type="hidden" name="uid" value="{{ $patient->uid }}">
													<div class="mb-2">
														<label for="" class="text-sm text-secondary mb-1">Cell
															Number</label>
														<input type="text" class="form-control form-control-sm" name="cellNumber" value="{{$patient->cell_number}}">
													</div>
													<div class="mb-2">
														<label for="" class="text-sm text-secondary mb-1">Message</label>
														<textarea type="text" class="form-control form-control-sm" name="message"></textarea>
													</div>
													<div class="d-flex align-items-center">
														<button class="btn btn-sm btn-primary mr-2" submit>Send</button>
														<button class="btn btn-sm btn-default mr-2 border" cancel>
															Cancel
														</button>
													</div>
												</form>
											</div>
										</div>
										<div>
											<span moe relative class="">
												<a href="#" start show class="d-flex align-items-baseline" title="SMS check-in link to the patient"><i class="fa fa-paper-plane text-sm mr-1"></i></a>
												<form url="/api/client/sendCheckInTokenViaSmsOrEmail" class="mcp-theme-1">
													<input type="hidden" name="uid" value="{{ $patient->uid }}">
													<p class="small min-width-200px mb-2">Send Check-In link to patient?</p>
													<div class="mb-2">
														<label for="" class="text-sm text-secondary mb-1">Cell Number</label>
														<input type="text" class="form-control input-sm" name="cellNumber" value="{{$patient->cell_number}}">
													</div>
													<div class="mb-2">
														<label for="" class="text-sm text-secondary mb-1">Email address</label>
														<input type="text" class="form-control input-sm" name="emailAddress" value="{{$patient->email_address}}">
													</div>
													<div class="d-flex align-items-center">
														<button class="btn btn-sm btn-primary mr-2" submit>Send</button>
														<button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
													</div>
												</form>
											</span>
										</div>
										@if($performer->pro->pro_type == 'ADMIN')
										<div>
											<a href="#" start show onclick="return openInRHS('/pro/check-video/{{ $patient->uid }}')"><i class="fa fa-eye text-sm mr-1"></i></a>
										</div>
										@endif
										<div>
											<a href="#" start show onclick="return openInRHS('/pro/meet/{{ $patient->uid }}')"><i class="fa fa-video text-sm mr-1"></i></a>
										</div>
									</section>
									<section class="screen-only vbox align-self-start mt-2 ml-0 mr-2 border-left pl-2 mcp-theme-1">
										<div>
											<label>MCP:</label> {{$mcpName}}
											@if($patient->has_mcp_done_onboarding_visit !== 'YES' && $pro->pro_type == 'ADMIN')
											<div moe class="ml-2 hide-inside-popup">
												<a start show><i class="fa fa-edit"></i></a>
												@include('app.patient.partials.put-mcp-form')
											</div>
											@if($patient->mcp)
											<div moe class="ml-2 hide-inside-popup">
												<a start show><i class="fa fa-times"></i></a>
												<form url="/api/client/removeMcp" class="mcp-theme-1">
													<input type="hidden" name="uid" value="{{$patient->uid}}">
													<div class="mb-2">
														<label class="text-secondary text-sm">Remove MCP Pro</label>

													</div>
													<div>
														<button submit class="btn btn-sm btn-primary mr-1">Submit
														</button>
														<button cancel class="btn btn-sm btn-default border">
															Cancel
														</button>
													</div>
												</form>
											</div>
											@endif
											@endif
											@if($patient->mcp && $pro->pro_type === 'ADMIN' && $pro->uid !== $patient->mcp->uid)
											<form action="{{route('process-log-in-as')}}?redir={{request()->url()}}" onsubmit="window.top.localStorage.currentProUid = '{{$patient->mcp->uid}}';" method="POST" target="_top" class="d-inline-block">
												@csrf
												<input type="hidden" name="proUid" value="{{$patient->mcp->uid}}">
												<button class="bg-transparent text-primary border-0 text-sm"><i class="fa fa-user"></i></button>
											</form>
											@endif
										</div>
										@if($patient->mcp && $patient->mcp->id === $pro->id || $pro->pro_type == 'ADMIN')
										<div>
											<label>Status (mcp):</label>
											<span>{!! $patient->mcpEngagementAssessmentStatus && $patient->mcpEngagementAssessmentStatus->status_category ? ucwords(strtolower(str_replace('_', ' ', $patient->mcpEngagementAssessmentStatus->status_category))) : '<span class="text-danger">Not
													Set</span>' !!}</span>
											<div moe class="ml-2">
												<a start show><i class="fa fa-edit text-sm"></i></a>
												<form url="/api/client/updateMcpEngagementAssessmentStatus" class="mcp-theme-1">
													<input type="hidden" name="uid" value="{{$patient->uid}}">
													<div class="mb-2">
														<label class="text-sm text-secondary mb-1">Category </label>
														<select name="category" class="form-control form-control-sm">
															<option value="NULL">--</option>
															<option value="ACTIVE">ACTIVE</option>
															<option value="INACTIVE">INACTIVE</option>
															<option value="ENTRY_ERROR">ENTRY_ERROR</option>
															<option value="DUMMY">DUMMY</option>
															<option value="DECEASED">DECEASED</option>
															<option value="DUPLICATE">DUPLICATE</option>
															<option value="NO_LONGER_INTERESTED">NO_LONGER_INTERESTED</option>
															<option value="BAD_RECORD">BAD_RECORD</option>
														</select>
													</div>
													<div class="mb-2">
														<label class="text-sm text-secondary mb-1">Memo</label>
														<input type="text" name="memo" class="form-control form-control-sm">
													</div>
													<div class="mb-2">
														<label class="text-sm text-secondary mb-1">Detail</label>
														<input type="text" name="detail" class="form-control form-control-sm">
													</div>
													<div>
														<button submit class="btn btn-sm btn-primary mr-1">Submit</button>
														<button cancel class="btn btn-sm btn-default border">Cancel</button>
													</div>
												</form>
											</div>
										</div>
										@endif
										<div>
											<label>CC:</label> {{$patient->defaultNaPro ? $patient->defaultNaPro->displayName() : '-' }}
											@if($pro->pro_type == 'ADMIN')
											<div moe class="ml-2 hide-inside-popup">
												<a start show><i class="fa fa-edit text-sm"></i></a>
												<form url="/api/client/putDefaultNaPro" class="mcp-theme-1">
													<input type="hidden" name="uid" value="{{$patient->uid}}">
													<div class="mb-2">
														<label class="text-secondary text-sm">Care Coordinator</label>
														<select provider-search data-pro-uid="{{ @$patient->defaultNaPro->uid }}" name="defaultNaProUid" class="form-control form-control-sm">
															<option value=""> --select--</option>
															@foreach($pros as $iPro)
															<option value="{{$iPro->uid}}" {{ $patient->pcp && $iPro->uid === $patient->pcp->uid ? 'selected' : '' }}>{{$iPro->displayName()}}</option>
															@endforeach
														</select>
													</div>
													<div>
														<button submit class="btn btn-sm btn-primary mr-1">Submit
														</button>
														<button cancel class="btn btn-sm btn-default border">
															Cancel
														</button>
													</div>
												</form>
											</div>
											@if($patient->pcp)
											<div moe class="ml-2 hide-inside-popup">
												<a start show><i class="fa fa-times"></i></a>
												<form url="/api/client/removeDefaultNaPro" class="mcp-theme-1">
													<input type="hidden" name="uid" value="{{$patient->uid}}">
													<div class="mb-2">
														<label class="text-secondary text-sm">Remove Care Coordinator</label>

													</div>
													<div>
														<button submit class="btn btn-sm btn-primary mr-1">Submit</button>
														<button cancel class="btn btn-sm btn-default border">Cancel</button>
													</div>
												</form>
											</div>
											@endif
											@endif
											@if($patient->defaultNaPro && $pro->pro_type === 'ADMIN' && $pro->uid !== $patient->defaultNaPro->uid)
											<form action="{{route('process-log-in-as')}}?redir={{request()->url()}}" onsubmit="window.top.localStorage.currentProUid = '{{$patient->defaultNaPro->uid}}';" method="POST" target="_top" class="d-inline-block">
												@csrf
												<input type="hidden" name="proUid" value="{{$patient->defaultNaPro->uid}}">
												<button class="bg-transparent text-primary border-0 text-sm"><i class="fa fa-user"></i></button>
											</form>
											@endif
										</div>
										@if($patient->defaultNaPro && $patient->defaultNaPro->id === $pro->id || $pro->pro_type == 'ADMIN')
										<div>
											<label>Status (cc):</label>
											<span>{!! $patient->defaultNaEngagementAssessmentStatus && $patient->defaultNaEngagementAssessmentStatus->status_category ? ucwords(strtolower(str_replace('_', ' ', $patient->defaultNaEngagementAssessmentStatus->status_category))) : '<span
												  class="text-danger">Not Set</span>' !!}</span>
											<div moe class="ml-2">
												<a start show><i class="fa fa-edit text-sm"></i></a>
												<form url="/api/client/updateDefaultNaEngagementAssessmentStatus" class="mcp-theme-1">
													<input type="hidden" name="uid" value="{{$patient->uid}}">
													<div class="mb-2">
														<label class="text-sm text-secondary mb-1">Category </label>
														<select name="category" class="form-control form-control-sm">
															<option value="NULL">--</option>
															<option value="ACTIVE">ACTIVE</option>
															<option value="INACTIVE">INACTIVE</option>
															<option value="ENTRY_ERROR">ENTRY_ERROR</option>
															<option value="DUMMY">DUMMY</option>
															<option value="DECEASED">DECEASED</option>
															<option value="DUPLICATE">DUPLICATE</option>
															<option value="NO_LONGER_INTERESTED">NO_LONGER_INTERESTED</option>
															<option value="BAD_RECORD">BAD_RECORD</option>
														</select>
													</div>
													<div class="mb-2">
														<label class="text-sm text-secondary mb-1">Memo</label>
														<input type="text" name="memo" class="form-control form-control-sm">
													</div>
													<div class="mb-2">
														<label class="text-sm text-secondary mb-1">Detail</label>
														<input type="text" name="detail" class="form-control form-control-sm">
													</div>
													<div>
														<button submit class="btn btn-sm btn-primary mr-1">Submit</button>
														<button cancel class="btn btn-sm btn-default border">Cancel</button>
													</div>
												</form>
											</div>
										</div>
										@endif
									</section>
									<section class="screen-only vbox align-self-start mt-2 mx-2 border-left pl-2 mcp-theme-1">
										<div>Cell. BP: <b>{{$patient->hasBPDevice()?'Yes':'No'}}</b></div>
										@if($patient->most_recent_cellular_bp_sbp_mm_hg && $patient->most_recent_cellular_bp_dbp_mm_hg)
										<div>Last BP:
											<b>{{$patient->most_recent_cellular_bp_sbp_mm_hg ?: '-'}}/{{$patient->most_recent_cellular_bp_dbp_mm_hg ?: '-'}}</b>
											@if($patient->most_recent_cellular_bp_measurement_at)
											<span class="text-sm text-secondary text-nowrap ml-1" title="{{friendly_date_time($patient->most_recent_cellular_bp_measurement_at)}}">({{friendly_date($patient->most_recent_cellular_bp_measurement_at)}})</span>
											@endif
										</div>
										@endif
										<div>Wt. Scale: <b>{{$patient->hasWeightScaleDevice()?'Yes':'No'}}</b></div>
										@if($patient->most_recent_cellular_weight_value)
										<div>Last Wt.:
											<b>{{round($patient->most_recent_cellular_weight_value, 1)}}</b>
											@if($patient->most_recent_cellular_weight_measurement_at)
											<span class="text-sm text-secondary text-nowrap ml-1" title="{{friendly_date_time($patient->most_recent_cellular_weight_measurement_at)}}">({{friendly_date($patient->most_recent_cellular_weight_measurement_at)}})</span>
											@endif
										</div>
										@endif

										<?php $currentCareMonth = $patient->currentCareMonth(); ?>
										@if($currentCareMonth && ($pro->pro_type === 'ADMIN' || $pro->id === $currentCareMonth->mcp_pro_id))
										<div class="text-primary c-pointer" open-in-stag-popup mc-initer="care-month-dashboard-{{$patient->uid}}" title="Care Month: {{friendly_month($currentCareMonth->start_date)}}" popup-style="overflow-visible" href="/patients/view/{{ $patient->uid }}/care-months/view/{{$currentCareMonth->uid}}">
											<?php $spoken = $currentCareMonth->has_anyone_interacted_with_client_about_rm_outside_note; ?>
											<span class="">RPM comm. this month:</span>
											<b class="{{$spoken ? 'text-success' : ''}}">
												{{$spoken ? 'Yes' : 'No'}}
												@if(!$spoken)
												<i class="fa fa-exclamation-triangle"></i>
												@else
												<i class="fa fa-check"></i>
												@endif
											</b>
										</div>
										@endif
									</section>
									<section class="mr-4 align-self-start mt-2 ml-auto mcp-theme-1">
										<div class="d-flex align-items-start">
											<div class="max-width-300px max-height-100px overflow-auto d-inline-block">
												<label>Sticky Note:</label> <span class="text-secondary">{{$patient->sticky_note ?? '-' }}</span>
											</div>
											<div moe relative wide class="ml-2 hide-inside-popup">
												<a start show><i class="fa fa-edit"></i></a>
												<form url="/api/client/updateStickyNote" class="mcp-theme-1" right>
													<input type="hidden" name="uid" value="{{$patient->uid}}">
													<div class="mb-2">
														<label class="text-secondary text-sm">Sticky Note</label>
														<textarea name="stickyNote" class="form-control" rows="8" cols="80">{{$patient->sticky_note}}</textarea>
													</div>
													<div>
														<button submit class="btn btn-sm btn-primary mr-1">Submit
														</button>
														<button cancel class="btn btn-sm btn-default border">
															Cancel
														</button>
													</div>
												</form>
											</div>
										</div>
										@if($pro->pro_type === 'ADMIN')
										<div class="mt-1">
											<label>Intake Data: - </label> <span class="text-secondary"></span>
											@include('app.patient.intake-data.patient-intake-data-form')
										</div>
										@endif
									</section>
									<ul class="vbox mt-2 align-self-start patient-header-address ">
										<li class="d-flex align-items-start">
											<span class="aligned-icon">
												<i class="fa fa-map-marker-alt" aria-hidden="true"></i>
											</span>
											<div class="position-relative">
												<?php
												$addressParts = [];
												if (!!$patient->mailing_address_line1) $addressParts[] = trim($patient->mailing_address_line1);
												if (!!$patient->mailing_address_line2) $addressParts[] = trim($patient->mailing_address_line2);
												$addressParts = implode(", ", $addressParts) . "<br/>";
												$addressPart2 = [];
												if (!!$patient->mailing_address_city) $addressPart2[] = trim($patient->mailing_address_city);
												if (!!$patient->mailing_address_state) $addressPart2[] = trim($patient->mailing_address_state);
												$addressParts .= implode(", ", $addressPart2);
												echo $addressParts;
												?>
												{{ $patient->mailing_address_zip ? $patient->mailing_address_zip : '' }}
												@if($patient->mailing_address_memo)
												<span class="position-relative c-pointer text-center stag-tooltip ml-2">
													<i class="fa fa-info-circle"></i>
													<div class="position-absolute bg-white border rounded p-2 stag-tooltip-content">
														<div class="text-left font-weight-bold pb-1">Special Instructions</div>
														<div class="text-left font-weight-normal">{{$patient->mailing_address_memo}}</div>
													</div>
												</span>
												@endif
											</div>
										</li>
										@if($patient->cell_number)
										<li>
											<span class="aligned-icon">
												<i class="fa fa-phone-alt" aria-hidden="true"></i>
											</span>
											{{$patient->cell_number}}
											<span class="small text-secondary ml-1">
												{{ $patient->cell_number_memo ? '(' . $patient->cell_number_memo . ')' : '' }}
											</span>
										</li>
										@endif
										@if($patient->phone_home)
										<li>
											<span class="aligned-icon"><i class="fa fa-home" aria-hidden="true"></i></span>
											{{$patient->phone_home}}
										</li>
										@endif
										<li class="d-flex align-items-start">
											<div class="d-flex align-items-center flex-wrap">
												<span class="ml-1 mr-2"><i class="fa fa-envelope"></i>
													@if($hasConfirmedEmail)
													{{$confirmedEmail}}
													@else
													<i>(No email address)</i>
													@endif
												</span>
												{{--<div>
														@include('app.patient.send_email')
													</div>--}}
											</div>
										</li>

										<li class="d-flex align-items-start">
											<div class="d-inline-flex screen-only">
												<span class="aligned-icon text-primary">
													<i class="fa fa-link" aria-hidden="true"></i>
												</span>
												<?php $numLinkedAccounts = $patient->linkedAccounts ? count($patient->linkedAccounts) : 0; ?>
												<a href="{{route('patients.view.accounts', ['patient' => $patient])}}">
													Accounts ({{$numLinkedAccounts}})
												</a>
											</div>
										</li>
									</ul>

								</div>

							</div>
						</div> <!-- z -->
					</div>
				</div>
				@if($pro->pro_type === 'ADMIN')
				<div class="screen-only card-header py-2 d-flex align-items-center mcp-theme-1 bg-aliceblue hide-inside-popup">
					<b class="">Tags ({{count($patient->clientTags)}}):</b>
					@foreach($patient->clientTags as $tag)
					<div class="d-inline-flex align-items-center ml-2 py-1 px-2 rounded bg-aliceblue text-info">
						<span class="text-sm">{{$tag->tag}}</span>
						<div moe relative class="ml-2">
							<a href="" start show><i class="fa fa-times text-secondary on-hover-opaque"></i></a>
							<form url="/api/clientTag/cancel" class="mcp-theme-1 min-width-200px">
								<input type="hidden" name="uid" value="{{$tag->uid}}">
								<p class="text-nowrap text-dark">Cancel this tag?</p>
								<div>
									<button submit class="btn btn-sm btn-primary mr-2">Submit</button>
									<button cancel class="btn btn-sm btn-default border">Cancel</button>
								</div>
							</form>
						</div>
					</div>
					@endforeach
					<div moe relative class="ml-2">
						<a href="" start show class="text-sm">+ Add</a>
						<form url="/api/clientTag/create" class="mcp-theme-1">
							<input type="hidden" name="clientUid" value="{{$patient->uid}}">
							<div class="mb-2">
								<label class="text-secondary text-sm">Tag</label>
								<input type="text" class="form-control form-control-sm" name="tag" placeholder="Tag" required>
							</div>
							<div>
								<button submit class="btn btn-sm btn-primary mr-2">Submit</button>
								<button cancel class="btn btn-sm btn-default border">Cancel</button>
							</div>
						</form>
					</div>
				</div>
				@endif
				{{--<div class="text-container border-bottom d-flex align-items-center mcp-theme-1 px-3">

						@if($patient->mcp_pro_id !== $pro->id && $patient->active_mcp_request_id)
							<div moe relative class="ml-2">
								<a href="" start show class="btn btn-sm btn-success text-white font-weight-bold small">Claim as MCP</a>
								<form url="/api/mcpRequest/claim" class="mcp-theme-1" right>
									<input type="hidden" name="clientUid" value="{{$patient->uid}}">
				<p>Claim this patient?</p>
				<div>
					<button submit class="btn btn-sm btn-primary mr-2">Yes</button>
					<button cancel class="btn btn-sm btn-default border">Cancel</button>
				</div>
				</form>
			</div>
			@endif
	</div>--}}
	<div class="card-body {{$routeName === 'patients.view.notes.view.dashboard' ? 'p-0' : ''}}">
		{{--<h1 class="h3">@yield('section-title')</h1>--}}
		<div class="mcp-theme-1">
			@yield('inner-content')
		</div>
	</div>
</div>
</main>
</div>
</div>
<script>
	(function() {
		function init() {
			$('.note-method-select').change(function() {
				let form = $(this).closest('form');
				if (this.value === 'IN_CLINIC') {
					form.find('.if-in-clinic').show();
				} else {
					form.find('.if-in-clinic').hide();
				}
			});

			$('.note-method-select').each(function() {
				let form = $(this).closest('form');
				if (this.value === 'IN_CLINIC') {
					form.find('.if-in-clinic').show();
				} else {
					form.find('.if-in-clinic').hide();
				}
			});
		}
		addMCInitializer('patient-add-note-popup', init, '#patient-header')
	}).call(window);
</script>
<script>
	(function() {
		function init() {
			$('#sidebarMenu')
				.off('scroll')
				.on('scroll', function() {
					localStorage.sidebarMenuScrollTop = $(this).scrollTop();
				});
			if (localStorage.sidebarMenuScrollTop) {
				$('#sidebarMenu').scrollTop(+localStorage.sidebarMenuScrollTop);
			}
		}
		addMCInitializer('sidebarMenu', init, '#sidebarMenu')
	}).call(window);
</script>
@endsection
